/* /////////////////////////////////////////////////////////////////////////////
// graphplanRelaxado.h  -  18/10/2002 by aldeba
//
// Estruturas e prototipos do algoritmo para a geracao do
// 		grafo de planejamento relaxado
///////////////////////////////////////////////////////////////////////////// */

/*	protecao contra referencias circulares */

#if			!defined( __GRAPHPLANRELAXADO_H )

#define		__GRAPHPLANRELAXADO_H

/*	includes do fonte */

#include	"strips.h"
#include	"graphplan.h"

/* /////////////////////////////////////////////////////////////////////////////
// declaracoes de prototipos
///////////////////////////////////////////////////////////////////////////// */

PNivelGrafo		adicionaNivelGrafoRelaxado	( PProblemaStrips _problema, PNivelGrafo _grafoPlanejamento );
PNivelGrafo		construirGrafoRelaxado		( PProblemaStrips _problema );
long int 		extrairSolucaoRelaxada		( PProblemaStrips _problema, PNivelGrafo _grafoPlanejamento, PEscolhaAcao _planoRelaxado );
#endif		/* !defined( __GRAPHPLANRELAXADO_H ) */

